SDL_CreateSurfaceFrom(3)

NAME
SDL_CreateSurfaceFrom - Allocate a new RGB surface with a specific pixel format and existing pixel data.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_CreateSurfaceFrom(void *pixels, int width, int height, int pitch, SDL_PixelFormatEnum format);

DESCRIPTION
No copy is made of the pixel data. Pixel data is not managed automatically; you must free the surface before you free the pixel data. Pitch is the offset in bytes from one row of pixels to the next, e.g. width*4 for SDL_PIXELFORMAT_RGBA8888 . You may pass NULL for pixels and 0 for pitch to create a surface that you will fill in with valid values later.

FUNCTION PARAMETERS

pixels
    a pointer to existing pixel data

width
    the width of the surface

height
    the height of the surface

pitch
    the number of bytes between each row, including padding

format
    the SDL_PixelFormatEnum
     for the new surface's pixel format.

RETURN VALUE
Returns the new SDL_Surface
 structure that is created or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreateSurface(3), SDL_DestroySurface(3)